:root {
	--corporate: #2563ae;
	--light-bg: rgba(255, 255, 255, 0);
}

body {
	margin: 0;
	font-family: Arial, sans-serif;
}

.loading-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	background: white;
	display: none;
	align-items: center;
	justify-content: center;
	z-index: 1000;
}


.loading-overlay.active {
	display: flex;
}

.loading-overlay-soft {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	background: rgba(255, 255, 255, 0.500);
	display: none;
	align-items: center;
	justify-content: center;
	z-index: 1000;
}


.loading-overlay-soft.active {
	display: flex;
}



.spinner {
	width: 8vh;
	height: 8vh;
	border: 8px solid var(--light-bg);
	border-top-color: var(--corporate);
	border-radius: 50%;
	animation: spin 1s linear infinite;
}

@keyframes spin {
	to {
		transform: rotate(360deg);
	}
}